import plus
import Arenas
import Gooey

class PracticeArena(Arenas.SuperArena):
    "Practice Arena."
    name = "Practice Arena"
    preview = "practice arena/practice_preview.bmp"
    in_list = False

    def __init__(self):
        Arenas.SuperArena.__init__(self, "Arenas/practice arena/practice_arena.gmf")
        self.window = None

       
    def Tick(self):
        # do our stuff here
        return plus.Arena.Tick(self)

    def setObstacle(self, name):
        self.RemoveXtra("Obstacle")
        
        if name == "none cb":
            self.window = None
        elif name == "crates cb":
            self.AddXtraSound("Obstacle", "arenas\\crates\\crates.gmf", "metal", "Sounds\\crate.wav")
        elif name == "blocks cb":
            self.AddXtraSound("Obstacle", "arenas\\cinderblocks\\blocks.gmf", "metal", "Sounds\\cinderblock2.wav")
        elif name == "barrels cb":
            self.AddXtraSound("Obstacle", "arenas\\barrels\\barrels.gmf", "metal", "Sounds\\barrel_collision2.wav")
        elif name == "cones cb":
            self.AddXtraSound("Obstacle", "arenas\\cones\\cones.gmf", "metal", "Sounds\\cone.wav")
        elif name == "ramps cb":
            self.AddXtraSound("Obstacle", "arenas\\ramps\\ramps.gmf", "metal", "Sounds\\barrel_collision2.wav")
	elif name == "flag":
            self.AddXtraSound("Obstacle", "arenas\\newstuff\\rammerweight.gmf", "metal", "Sounds\\dsl_06.wav")
        elif name == "car2":
            self.AddXtraSound("Obstacle", "arenas\\newstuff\\lifter.gmf", "metal", "Sounds\\hzd_hammer_hit2.wav")
        elif name == "botflipper":
            self.AddXtra("Obstacle", "arenas\\newstuff\\botflipper.gmf", "metal")
        elif name == "car":
		self.AddXtraSound("Obstacle", "arenas\\newstuff\\car.GMF", "metal", "Sounds\\hzd_hammer_hit2.wav")
        elif name == "computer":
		self.AddXtraSound("Obstacle", "arenas\\newstuff\\computer.gmf", "metal", "Sounds\\critical_hit.wav")
Arenas.register(PracticeArena)
